export default ()=>{
	register_rest_route('nv','get-menu',{
		methods: 'post',
		callback(data,req) {
			var user = get_user_by_nonce(req.cookies.nvnonce);
			var currentUserPower = user.power || 0;
			var menu = apply_filters('_nv_admin_menu',[],currentUserPower);
			return menu;
		}
	});

	register_rest_route('nv','get-routes',{
		methods: 'post',
		callback(data,req) {
			var user = get_user_by_nonce(req.cookies.nvnonce);
			var currentUserPower = user.power || 0;
			var routes = apply_filters('_nv_admin_routes',[],currentUserPower);
			return routes;
		}
	});
}