export default ()=>{
	global.add_meta_box = ({ post_types, meta_box_slug, component, component_url, position, content })=>{

		add_filter('_nv_custom_metaboxes',(meta_boxes)=>{
			meta_boxes = meta_boxes || [];

			//查找有没有相同的slug，不相同才放进去
			if ( !meta_boxes.filter(r=>r.meta_box_slug == meta_box_slug)[0] ) {
				meta_boxes.push({
					post_types, meta_box_slug, component, component_url, position, content
				})
			}
			return meta_boxes;
		});

	}

	global.get_blocks_default_data = user=>{
		var user_id = typeof(user) == 'number' ? user : user.id;
		var data = get_user_meta(user_id, 'editor_blocks_default_data') || {};
		return apply_filters('get_blocks_default_data', data, user_id);
	}

	global.update_blocks_default_data = (user, data)=>{
		var user_id = typeof(user) == 'number' ? user : user.id;
		data = apply_filters('update_blocks_default_data', data, user_id);
		update_user_meta(user_id, 'editor_blocks_default_data', data);
	}
}