/*
// import './method-shortcode.js'
*/

import define_hooks from './method-hooks.js';
import define_common from './method-common.js';
import define_options from "./method-options.js"
import define_packages from './method-package.js'
import define_render from './method-render.js'
import define_media from './method-media.js'
import define_metas from './method-metas.js'
import define_users from './method-users.js'
import define_user_invite from './method-user-invite.js'
import define_menu from './method-menu.js'
import define_post from './method-post.js'
import define_mail from './method-mail.js'
import define_taxonomies from './method-taxonomies.js'
import define_editor from './method-editor.js'
import define_comments from './method-comments.js'
import define_nav_menu from './method-nav-menu.js'
import define_theme_module from './method-theme-module.js'

export default ()=>{
	define_hooks();
	define_common();
	define_options();
	define_packages();
	define_render();
	define_media();
	define_metas();
	define_users();
	define_user_invite();
	define_menu();
	define_post();
	define_mail();
	define_taxonomies();
	define_editor();
	define_comments();
	define_nav_menu();
	define_theme_module();
}