class Echo {
	#html = "";
	get isEmpty() {
		return !this.#html.length;
	}
	get html() {
		return this.#html;
	}
	constructor(message) {
		if (message) {
			this.#html = message;
		}
		this.attach = this.appendString.bind(this)
		return this;
	}
	appendString(sth) {
		if (typeof(sth) == 'string') {
			this.#html += sth;
		}
		else if (sth.toString && typeof(sth.toString) == 'function') {
			this.#html += sth.toString();
		}
		else {
			var tryStr = JSON.Stringify( sth );
			this.#html += tryStr ? tryStr : '__UNDEFINED__';
		}
		return this;
	}
}

module.exports = Echo;