export default ()=>{
	register_rest_route('nv','get-block-urls',{
		methods: 'post',
		callback() {
			return get_block_urls();
		},
		permission_callback: power=>power >= 6,
	});

	register_rest_route('nv','get-blocks-default-data',{
		methods: 'post',
		callback(data,req) {
			// 不用判断 user 是不是 error。在permission_callback那儿就保证了user的存在性
			var user = get_user_by_nonce( req.cookies.nvnonce );
			return get_blocks_default_data(user);
		},
		permission_callback: power=>power >= 6,
	});

	register_rest_route('nv','update-blocks-default-data',{
		methods: 'post',
		callback(data,req) {
			// 不用判断 user 是不是 error。在permission_callback那儿就保证了user的存在性
			var user = get_user_by_nonce( req.cookies.nvnonce );
			update_blocks_default_data(user, data);
			return {};
		},
		permission_callback: power=>power >= 6,
	});
}